Release Notes:  Version 4.24
- Enhancement:  Added SSL and non-standard PORT support 
  for "Get E-mail" script action.
- Fixed: Zip/Unzip utility would create unnecessary 
  temporary files in source folders (build 4233).
- Enhancement:  Added support for silent ZIP/UNZIP
  operations, archive encryption, and de-archiving
  from other formats such as 7Z and RAR.
- Fixed: File operations would not give complete error
  information for error code 1026.
- Fixed: File creation triggers would re-trigger when
  another file was deleted and re-created (Build 4237).
  

Release Notes:  Version 4.23
- Fixed:  Web Server component would GPF at startup on
  some systems.
- Fixed: Changes to "Script Delay" and "Maximum key
  presses per send" were not being saved (build 4231).
- Upgraded to Clarion 6.3.9059 and updated third party
  libraries.

Release Notes:  Version 4.22
- Fixed:  Build 4221 would start an application twice when
  event logging was turned off.
- Updated third party libraries.  

Release Notes:  Version 4.21
- Enhancement:  Added script actions for detailed control
  over FTP transfers (Automation Edition).
- Enhancement:  Added option to output debug information
  to system debugger.
- Updated third party libraries.  

  
Release Notes:  Version 4.2
- Enhancement:  Added Web Interface to process manager
  to allow process review and management through a web 
  browser.  Server defaults to port 8088.
  (http://localhost:8088) (Automation Edition Only)
- Fixed:  Can now start and stop services with spaces
  embedded in their names.
- Enhancement: Added verbose error information for
  copy/move operations.
- Enhancement: Added "Restart Service" option. (4204)
- Fixed: "Show schedule at startup" setting was not 
  saving. (Build 4204)
- Fixed: "Edit as Text" was not including parameters
  for service actions. (Build 4204)
- Fixed: "Use alternate format" and other settings
  were not saving. (Build 4206)
- Updated third party libraries.  
  

Release Notes:  Version 4.11
- Enhancement:  Added script actions to get a 
  substring, convert an integer to hexidecimal, 
  convert a hexidecimal value to an integer, to
  extract only the file name or path from a path and 
  file name, and to convert a file name and path
  to its short or long form.
- Enhancement:  Added [FILESUB filename,start,length]
  internal script value.  Reads a file ("filename"), 
  and returns the string at a specific location 
  ("start" and "length").
- Enhancement:  [=] now evaluates an embedded token 
  if it is a script value set with SETVALUE.
- Added "Reserved Script Value Name" section to help and
  documentation.
- Fixed: Send E-mail button on the E-mail Message 
  page did not send values [NOW] [DATE] [NETHOSTNAME] 
  [NETWORKUSER] in message section, only in subject line
- Fixed: In some script actions, if square brackets were 
  used when declaring a variable, it would not be set.
- Fixed: "Map Drive" script action was not using 
  parameters.
  

Release Notes:  Version 4.10
- Enhancement:  Added [MOUSEX] and [MOUSEY] internal
  script values.  Returns the current cursor position's
  X or Y co-ordinate.
- Enhancement:  Added option to import/export basic
  configuration using XML files.
- Fixed:  Log file was being written in the wrong
  location in some cases.
  

Release Notes:  Version 4.09
- Enhancement: Related web sites and e-mail addresses 
  can be launched from the list of Contacts.
- Enhancement: Variables can be used in e-mail TO, CC,
  and BCC fields.
- Enhancement: Expanded section in help file regarding
  [=] Advanced Expressions token.
- Enhancement: Revised user interface for script action
  entry and maintenance.  Task panel and 3-key access
  to any task now available.


Release Notes:  Version 4.08
- Fixed: Script actions that included pressing Shift+Home, 
  End, PgUp, and PgDn keys were not working correctly.
- Enhancement:  Added "Loop through contents of file"
  script action.
- Enhancement:  "Input" script action can optionally
  timeout, returning default value.
- Upgraded third party libraries.
- Build 4082:  Fixed:  Could not add contact categories.
- Build 4083:  Fixed:  To do list "Select Category"
  button was displayed on all tabs rather than just the
  "By Category" tab.  
  Enhancement:  Quick start now supports starting copy 
  of task in 1 minute, 4 hours, 8 hours, and 24 hours.
  Enhancement:  Contact web site can be started using
  button on update form.  
- Build 4084:  Fixed: Having ClearType fonts enabled 
  sometimes made the registration window unreadable.
- Build 4085:  Fixed: Web page retrieval script action
  was not using translated variables.
- Build 4085:  Fixed: Increment/decrement script action
  was not allowing the second value to be blank.
  Fixed: User-selected loop counter variable was 
  not updated.  
  Enhancement:  SWLoopCount gives the most recently
  checked loop count.


Release Notes:  Version 4.07
- Fixed: Set Value "Subtract" was converted into an
  "Add" when Edit As Text was used.
- Fixed: Edit As Text script/text conversion would
  truncate 2 characters from the end of a line if
  a field needed to be wrapped in quotation marks.
- Fixed: Various minor UI issues.
- Fixed: Log file was not being trimmed.  
- Upgraded third party libraries.
- Build 4073:  [YYYY-MM-DD-1] was not returning 
  correct value, fixed.  Updated SyncTime utility with
  current list of time servers.
  

Release Notes:  Version 4.06
- Enhancement:  Added [NETWORKUSER] value, which returns
  the user account name that the process manager is 
  running under.
- Enhancement: Increase length of information available in 
  log.
- Enhancement:  Added option to have manual task execution
  run under current account instead of being run by 
  process manager.
- Enhancement: Added "Set Window Attribute" script actions
  that allow windows to be minimized, maximized, restored,
  moved, resized, or closed.
- Enhancement: Added search and replace support tool for
  e-mail messages.
- Enhancement: Updated third party libraries.  
- Fixed: Log trimming was disabled, and the failed attempt 
  to trim the log would prevent further logging.
- Fixed: "CAUSE" was not set correctly for tasks triggered
  by startup.


Release Notes:  Version 4.05
- Fixed:  "Watch Mouse" in script action configuration
  was not working.
- Enhancement:  All one-line text fields now feature 
  "auto entry completion".
- Enhancement:  Better Vista support during installation.
- Enhancement:  Installation package and primary modules 
  are now digitally signed.
- Enhancement:  Revised logging logic so that process manager
  would not wait for log to be trimmed before performing
  further actions.  
- Enhancement:  System message timeout is now configurable.
- Enhancement:  Added option to "Start Program" form to
  select from list of common system programs.
  

Release Notes:  Version 4.04
- Enhancement: "Reschedule all tasks" housekeeping option
  faster and shows which tasks are being updated.
- Enhancement: External message module now offers option
  to copy text to clipboard.
- Enhancement: Added option to search and replace script
  action text.
- Fixed: If a failed task is reactivated, the "skipped" flag
  is now reset.
- Build 4030 Enhancement:  Default audio file type (eg. MP3
  or WAV) is now based on type of last audio file selected.
- Build 4030 Enhancement:  OPEN COM port supports a DELAY
  and TIMER parameter. 
  Example:  COM1:9600,N,8,1,DELAY=5,TIMER=10 will force a 
  poll for new data to send once every 10/100ths of a second,
  and will send each packet of data 5ms after the last.
- Upgraded third party libraries.
- Build 4033:  Workaround for third party library issue that
  caused applications to GPF when a window was closed.
- Build 4037:  Installation packages now digitally signed.
  Third party libraries updated.
- Build 4038:  Resolved GPF issue; "Get E-mail" script action
  generated incorrect error. Third party libraries updated.
- Build 4039:  Sent e-mail was not being parsed for tokens
  such as [TODAY] - fixed.  Added SW.CHM (html help file) to
  distribution package since Vista does not support standard
  WinHelp help files.
- Build 4040:  Vista was incorrectly posting an "application 
  active" message when a system restart was in progress even 
  though Schedule Wizard was closing - fixed. System warning 
  message boxes were not auto-closing after 2 minutes as they 
  did with the 3.x versions - fixed (60 minute timeout if 
  process manager is not run as a service).
  

Release Notes:  Version 4.03
- Enhancement: Added "Clear value", "Increment value", 
  "Decrement value", "Set registry value", and
  "Get registry value" script actions.
- Fixed: Pressing "Holidays" button on schedule exceptions
  window resulted in an MDI error message.
- Fixed: Value selection popup was returning "0" rather than
  selected value string.
- Upgraded third party libraries.
- Build 4026: Upgraded to Clarion 6.3.9055.
- Build 4025: Script template edit window was not showing
  the script details tab.

Release Notes:  Version 4.02
- Enhancement: Added script actions to accept input in the
  form of a file dialog (open, save as, select folder).
- Enhancement: Tray icon tip for external clipboard manager
  now shows current clipboard contents.
- Enhancement: Tray icon tip for process manager now shows 
  more information.
- Enhancement: Added support to write to Com Ports
  (Automation Edition only).
- Enhancement: E-mail, ftp, and news process manager threads 
  are now started only as needed.
- Fixed:  Mouse watch on "If Window..." script 
  action was not recording selected window. 
- Fixed:  "Send E-mail" button in UI was not using the same
  message formatting as the process manager.
- Upgraded to Clarion 6.3.9054.
- Build 4019:  Added "Map Drive" script action (Automation
  Edition only).
- Build 4020:  Added option to store loop counter in a variable
  of choice; improved user interface.  Upgraded installer to be 
  compatible with latest Windows XP/2003 security updates from 
  Microsoft (DEP). Added option to external Clipboard Manager
  to sort clipboard contents alphabetically (Win+Shift+S)
- Build 4021:  Added the [FILEACCESS filename] token.  Returns
  1 if file exists and is read/write, or 0 if not. Example:
  [FILEACCESS c:\myfile.txt]. Modified MAPI logon so that an
  attempt is made without the option for user profile selection
  first, then with only if that is needed.
- Build 4022: The sample shown for "Put value in INI file" script
  actions was in the wrong order. Revised input screens for 
  "Put/Get value in INI file" script actions.

Release Notes:  Version 4.01
- Enhanced:  Scheduled task defaults can be set on a 
  task type/category basis (See File->Setup->Scheduled 
  task defaults).
- Enhanced:  Added option to Automation Edition when "Run As
  Service" is selected to execute test tasks as a separate 
  process rather than using the service (File->Setup->Options,
  General tab, "Use separate process when immediately 
  executing tasks").
- Enhanced:  Expanded size of message in "Display Message"
  script action to 2048 characters. Improved interface for
  this action.
- Enhanced:  If (value) script action now supports "contains"
  and "does not contain" as operands.
- Enhanced:  Added "Ask for input" script action.
  (Automation Edition)
- Fixed: "Play Alarm" button on schedule update form was only
  playing WAV files.
- Build 4009: Fixed "test as separate process" option; 
  scripts were being run twice. Reduced size of details
  saved for process manager event lists.
- Build 4010: Fixed issue where multiple e-mail recipients
  were no longer being handled correctly.
- Build 4011: Colouring used on "Comment" action type caused
  difficulty reading on some systems. 
- Build 4011 (Automation Edition only); user log off was 
  triggering the task manager and trigger manager to stop.
- Build 4012: "If window exists..." script action could not
  be added.
- Build 4013: Fixed issue where adding e-mail script action
  could cause a "no MDI window" error message. Added option
  to File menu to start process manager module. Fixed issue
  where scripting would not wait for e-mail thread to return
  reponse before continuing when "send e-mail" script
  action was used.
- Build 4014: Fixed issue where FTP upload/download script 
  action parameters could not be set.
- Build 4015: Enhancement: Within Set Window Focus script 
  action, if a call to SetFocus() API fails, the 
  SetForegroundWindow() API is used instead; the result is
  stored in the [SETFOCUSRESULT] variable as a 0 (failed)
  or 1 (succeeded). Fixed issue where SW_EVENT.LOG was 
  written into \Windows\System32. Fixed: Edit as Script 
  was not wrapping fields that include commas with 
  quotation marks.
- Build 4016: Fixed: SetFocus issues.
- Build 4017: Fixed: Where schedule defaults were used, user
  entered task configuration was being overridden when task
  was first inserted.
  

Release Notes:  Version 4.0
- New task execution engine.
- Improved user interface.
- Added option to schedule event every n seconds or n quarters.
- Expanded message field for "display message" script action.
- Added "Ping" script action.
- Task alarms can be any media file rather than only "WAV" files.
- Added "Mmm dd, yyyy" option for date formatting.
- Added expression editor for script action forms.
- Added global search and replace for selected fields.
- Added support for non-standard ports and authorization for
  SMTP e-mail.
- Build 4001: Fixed issue with hot key support and removed
  false error regarding missing UPG.TPS.
- Build 4002: Fixed issue with triggers where the related
  script was being removed after execution.
- Build 4003: Added tooltip to Process Manager that shows the
  next task due.  Fixed issue with Process Manager not
  automatically closing when started in single task mode.
  Upgraded to latest version of third party libraries
  used for database format management and service
  management.
- Build 4004: Fixed issue with triggers where the associated
  script was not being executed. Enhanced "If Window" and
  "Focus" script action interface to include "Watch Mouse"
  option.  Process Manager now shows indicator when script
  is in progress.
- Build 4005: Fixed "no MDI" error when e-mail message is
  selected from script action. Events are logged to SW_EVENT.LOG
  rather than SW_TEST.LOG.  Hot key "send as text" items
  are now checked for tokens such as "[TODAY]". Upgraded to 
  Clarion 6.3.9053.
- Build 4006: Main window was not saving size between sessions.
- Build 4007: Tray icons were blank under some circumstances.
  
Version 3.75b
- Updated To Do List file format for 4.0 compatibility.

Release Notes:  Version 3.75a
- Added option to use number pad keys as hot keys.

Release Notes:  Version 3.75
- Changes to file format to provide compatibility with 
  version 4.0.
- Demo version was checking for incorrect DLL.  Fixed
  in build 3026.
- Added [FILEDATERAW] and [FILETIMERAW] values.

Release Notes:  Version 3.74
- Upgraded to Clarion 6.3 for additional stability and to 
  fix runtime library issues.
- Enhanced XP theme (visual) support.  
  

Release Notes:  Version 3.73
- Fixed: "Wait" period was reset to 0 when editing 
  "Start Program" script action as text.
- Enhancement:  Triggered scripts can use the [CAUSE]
  variable to determine what file or window triggered
  the script.
- Enhancement:  Backup utility now includes option to
  erase removable media before archiving.  Previous
  versions always wiped removable media.
- Enhancement:  Added [OSSCREENWIDTH], 
  [OSSCREENHEIGHT], [OSFOLDER xxxxx] script 
  values.  For [OSFOLDER xxxxx], replace xxxx with 
  one of the following values: WINDOWS, SYSTEM, 
  TEMP, DESKTOP, PERSONAL, STARTMENU, 
  COMMONSTARTMENU, COMMONDESKTOP, or CDBURN.

Release Notes:  Version 3.72
- Restored checklist report with recurrences.
- Upgraded to Clarion 6.2 for additional stability and to 
  fix runtime library issues.

Release Notes:  Version 3.71
- Internal release

Release Notes:  Version 3.7
- Moved "locator" fields on list of messages.
- File format changes made in preparation for version 4.0.


Release Notes:  Version 3.6
- Renamed SW97.TPS to SW_TASK.TPS.
- Expanded description field for tasks.
- Snooze options on context menu of external message 
  module are now available as a drop down on the 
  "snooze" button.
- Message in external message module can now be 
  modified before "snooze", "to do" or "e-mail" 
  actions are taken.
- External message module can now be "pinned" or 
  "unpinned" when the message is displayed.
- Script comments now shown in red.  
- Script flow control actions now shown in navy blue.  
- Expanded "script summary" area for script action lists.
  If script details are too wide for the column, a "tip"
  showing the complete details can be seen by placing
  the mouse over the appropriate record in the "details"
  column.
- Modified icons on task list to indicate if task includes 
  script actions.
- Added support for user name and password overrides
  for sending e-mail via SMTP.
- Clean up e-mail message list and form interfaces.
- Added [IPADDRESS] token which gives a list of
  IP address(es) for the active system.
- MAPI e-mail is now sent directly from the scheduling
  module rather than through the MAPIMAIL utility.
  This allows for the use of variables in the MAPI
  e-mail message, subject, and attachment list.

Release Notes:  Version 3.56
- Fixed "Watch Mouse" option in scripting setup.
- Added "clipboard" context menu to all entry fields 
  (copy, cut, paste).
- Advanced warning time and expiry time now default
  to task time when the associate date is entered.
- Added diagnostic code for future use.
- Fixed resizing issue on "retrieve e-mail" script
  action.
  
Release Notes:  Version 3.55
- The temporary file used when generating
  predicted events in reports is now in-memory,
  which makes those reports faster.
- Minor changes and fixes made to reports.

Release Notes:  Version 3.54
- Includes Clarion 6.1 9033 hotfixes.  This is 
  important because C6.1 9030 through 9032
  contained a bug where "hidden" windows stole
  focus from other windows applications.  As a 
  result, Schedule Wizard's "Send Keys" script
  action would only work when it was minimized 
  to the tray.

Release Notes:  Version 3.53
- Includes Clarion 6.1 9032 hotfixes.
- Enhanced: Task update form is now resizable.
- Fixed:  If a task should be skipped on 
  weekends and on holidays, and a holiday falls
  on a weekend, the task is skipped on the 
  following Monday.
- Enhanced: Script editing form now resizable.
- Enhanced: "If" script actions now log results.
- Fixed minor issues on script edit form.
- Build 3011: Fixed Checklist report.

Release Notes:  Version 3.52
- Enhanced: Contact and clipboard category setup 
  windows changed to use "tree" rather than 
  "2 list" user interface.
- Fixed: Calendar report would build schedule
  for two year period no matter what range was
  requested.
- Enhanced: Calendar can be printed for multiple 
  selected categories.

Release Notes:  Version 3.51
- Includes Clarion 6.1 9030,9031 hotfixes.
- Added "locator" fields to Hot Keys list.
- Added "Sequence" field to script lists.
- Added "Reset Last Date Sent" option to E-mail
  Message update form.
- Standardized window sizes, enlarged script list
  area for triggers, and added "maximize" option 
  to several windows.

Release Notes:  Version 3.5.3004
- Includes Clarion 6.1 9029 hotfixes.
- Fixed:  FTP downloads where the target name differed
  from the original server name did not work.
- Fixed:  Unzip script action would not place files
  into a non-default folder.

Release Notes:  Version 3.5.3003
- Fixed issue in "Start Script" action that prevented
  chained scripts.
- Fixed: MAPI e-mail messages with recipients
  separated with semi-colons were not being sent.

Release Notes:  Version 3.5.3002
- Includes Clarion 6.1 9026-9028 hotfixes.

Release Notes:  Version 3.5.3001
- Fixed:  External Clipboard Manager would
  not return focus to target application after sending
  keys.
- Fixed:  Schedule reports would not include
  any records if the report was not restricted by
  task type (eg. Active).

Release Notes:  Version 3.5.3000
- Enhancement:  Added PDF/HTML/Text output support 
  to reports.
- Enhancement:  Single and multi-processor versions have
  been combined.
- Enhancement:  Recompiled using Clarion 6.1.
- Enhancement:  XP Theme support.

Release Notes:  Version 3.49.619
- Fixed: Search for text in "if file exists" script
  action did not work if the text files was smaller than
  256 bytes.

Release Notes:  Version 3.49.617
- Fixed: Scripting list scrollbar better synchronized
  with contents.
- Enhancement:  If the NT Service module is logged
  in under an account other than LOCAL SYSTEM, and
  External Message option is selected, the service will
  attempt to display the message using the current
  interactive user.

Release Notes:  Version 3.49
- Fixed:  Script actions were not copied when a date
  required a new task.
- Fixed:  "Last day of month" now described correctly
  on list of tasks.
- Enhancement:  Non-critical NT Service module
  messages will timeout after 2 minutes and select
  the default action if any.
- Fixed: Calendar Report did not use task expiry date.


Release Notes:  Version 3.48
- Fixed: Using || in POP mail checking search criteria did
  not work.
- Fixed: Additional information for skipped tasks was
  reversed.
- Fixed: Resize logic on trigger update form.
- Fixed: SW_POP was not included in the multi-processor
  install package.
- New: Added priority field to "mail script" type of
  Send E-mail script action.
- New: When "mail script" skips sending an e-mail
  because the attachment does not exist, an entry is
  made to the log.
- Fixed: HTML files can be used as a source for "mail
  script" message bodies without being truncated.
- New: Added option to send a BCC to sender on every
  SMTP e-mail sent.


Release Notes:  Version 3.47
- Added [RANDOMFILE files] and [FILE file] variables:
  [RANDOMFILE C:\MyFiles\*.TXT] returns a random
  file name from the list of .TXT files in the c:MyFiles
  folder.  [FILE C:\MyFiles\This.TXT] returns the first
  255 characters in the file C:\MyFiles\This.TXT.
- Fixed resizing issue on Edit As Text window.

Release Notes:  Version 3.46
- The "If file exists" script action has been
  enhanced to include an option to test for
  specific text contained within the file(s).
- Pressing "cancel" on the list of trigger actions
  no longer removes those actions.
- Fixed: [...Key] is no longer case-sensitive.

Release Notes:  Version 3.45
- Added [SHORTFILENAME] variable, which returns
  only the filename and extension for each file
  within a loop (no path).
- If a move/copy cannot be done because a file
  does not exist, an additional line giving the
  missing file information is added to the log.
- Added Enable/Disable to Application Explorer.
- Fixed problem where tray tip in Automation Edition
  was showing the current time rather than the time
  of the next task.
- Serial number now required for registered version.

Release Notes:  Version 3.44
- Interface improvements.
- Added support for [YYMMDD] and [YYYYMMDD] values.
- Fixed date format in task list.
- External messages display faster.


Release Notes:  Version 3.43
- Fixed resizing issue on Contacts list.
- Fixed problem in Automation Edition NT Service module
  where "child window" list was not cleared, resulting
  in false "window title" matches.
- Fixed problem in Automation Edition where both the
  service module and main module would execute startup
  triggers.

Release Notes:  Version 3.42

- Release of 2003 Editions.
- Added option to retrieve e-mail from a "POP" server.
- Fixed problem where scripts were not being imported
  during the synchronize process.


Release Notes:  Version 3.41

- Added option to loop through a set of files matching
  a file specification (Script Action: Start Loop).
  For each matched file, [FILENAME], [FILESIZE],
  [FILEDATE], [FILEDATERAW], [FILETIME], and
  [FILETIMERAW] values are set automatically.
- Improved appearance of HTML output of lists.

Release Notes:  Version 3.4

- Added calendar-style report.
- Fixed erroneous "last day of month" message.
- SyncRecv and SyncSend now accept a single
  parameter indicating the name and location of the sync
  file. (eg. SYNCRECV "m:\Backup\sync.syn")
- Fixed erroneous"exit loop is not a valid script
  option" message. (Build 571)
- Fixed: "Edit as Text" was losing the destination folder
  upon save. (Build 573)
- Returned to using Clarion 5 for better reliability
  on single processor systems.

Release Notes:  Version 3.32

- Added "Mail Script" option to e-mail message sending.
  The option is similar to mail merge except that in addition
  to the recipient, you may also specify the subject, message,
  and attachments.

  Example:
  "Joe","joe@authord.com","Month End","c:\text\msg.txt","c:\attachments\attach.xls"
  "Jane","jane@authord.com","Month End","See the attached.","c:\attachments\attach.xls"

Release Notes:  Version 3.31

- Tasks can start on the minute (default behaviour)
  or on the second.
- Format of time fields can be specified.

Release Notes:  Version 3.3

- Compiled in Clarion 5.507; this fixes the random
  GPF problem experienced on dual processor systems.
- Removed false error given by SWAT utility regarding
  SW_DBASE.TPS.
- ExecuteAs utility now accepts "show=n" parameter
  to set initial window state.


Release Notes:  Version 3.24
- Fixed sending of [SHIFT+key] under XP.
- Fixed If File Exists; once set to true, it would
  stay true even if file were removed.
- Fixed [FOCUS] variable; was not returning window titles.
- Fixed "Start Program" script action; would not set
  program window to maximized state when starting.


Release Notes:  Version 3.23

- Fixed offset where scheduling exception included
  both a date and time exception.  (Standard Edition
  only).
- Fixed:  Where a variable included a negative offset
  (eg. [MMDDYY-1]), it was being ignored.
- Added [MMYY] AND [YYMM] internal variables
  (current month and year).


Release Notes:  Version 3.22

- Fixed end of month task repetition logic.


Release Notes:  Version 3.21

- Added option to send text file as message content.
- Added option to send individual messages (no BCC)
  when sending mass mailing via MAPI.
- Fixed multiple-recipient MAPI mail.
- Exported script actions containing embedded line
  feeds no longer cause duplicate actions.
- Comment script actions no longer repeat the
  action that precedes them in the script.
- Fixed [VALUE+constant] form (eg. [TODAY+12] gives
  the result [TODAY] 12 days from now).
- Fixed [MOUSE *WINDOWTITLE] logic; now correctly
  positions mouse at upper left hand corner of
  target application.


Release Notes:  Version 3.2

- Release of 2002 Editions.
- Fixed NT Service timer.


Release Notes:  Version 3.11

- Fixed progress display on FTP Uploads.
- Added internal value "SWLOOPCOUNT" to track loop
  position.
- Reversed meaning of fields when using SET INI TO
  VALUE in order to match the field meaning for other
  SET VALUE types.
- Added option to remove excess clipboard entries based
  on date added or date last used (external clipboard
  manager only).
- Zip script action can now include subfolders.


Release Notes:  Version 3.1

- Compatible with Windows XP.
- Modified DLLs to load faster.
- Changed logging of LOOP script actions.
- External clipboard manager now includes most
  recently used list, and optional abbreviation
  support.
- Fixed folder selection error under Windows 95.
- Fixed "Skip if overdue" logic.
- Fixed problem with using FTP within a loop.
- Added "drop down" menu to allow faster selection
  of script action type when adding. "Insert" is the
  shortcut key for this new button.


Release Notes:  Version 3.06

- Added "Switch Desktop" option to System Command
  script action.
- Fixed global field format error for non-date fields.
- Fixed "Set Value from INI".  Second parameter should
  have been the item in the INI file whose value
  should be retrieved.
- 3.06a: Fixed erroneous message when testing setup of
  MAPI mail settings.
- 3.06b: Fixed repetition of attachments in MAPI mail.
- 3.06c: Changed shutdown trigger to allow for 15 seconds
  of activity before closing.
- 3.06d:  Added [DAYOFWEEK], [DAYOFWEEKTEXT], and
  [DAYOFMONTH] values.


Release Notes:  Version 3.05

- E-mail addresses can be separated by commas or
  semi-colons.
- The mail merge logic was not setting the primary
  recipient in a consistent way between editions.
  Standard Edition has been changed to use
  "(Undisclosed Recipient)" instead of the
  category name + " (Copy to Sender)".

Release Notes:  Version 3.04

- Fixed: "Month End" schedule setting would select
  the first day of the next month in some
  circumstances.
- Fixed: When closing the main module in the Automation
  Edition and "warn before exit" was set, a false
  warning "No tasks will run if Schedule Wizard is closed"
  was displayed, even though the service module would
  run the tasks as expected.

Release Notes:  Version 3.03 Build 448

- Added options to Script Copy commands to
  only copy newer files, include subfolders when
  wildcards are used, and rename files on collision.
- Added option to set target path when unzipping.
- Fixed script editor bug that caused "Stop service"
  be used when "Start service" was requested.
- Fixed GPF on systems with dual processors
  caused by handling multiple message requests
  simultaneously.
- Fixed Zip/Unzip; long file name support was turned
  off and an incorrect error was generated when
  the zipping process lost focus.


Release Notes:  Version 3.02

- Fixed GPF caused by receiving an unknown API error
  from the O/S.
- Fixed bug where WAIT would not wait within LOOP
  script actions.

Release Notes:  Version 3.01

- Added "Text" filter to alternate schedule view.
  Only tasks with a description containing the entered
  text will be shown.
- Added "Scheduled E-mail" report.
- The tooltip on the Log Viewer now shows the complete
  currently highlighted line so that horizontal
  scrolling to see the detail is unnecessary.
- Changing logging of trigger actions; the trigger
  summary is logged to the regular log while details
  are now stored in the separate SW_TRIG.LOG.

Release Notes:  Version 3.0

- Automation Edition now available.  This
  edition replaces the NT Service Edition, and
  can be run on any 32-bit Windows OS including
  Windows NT, 2000, XP, ME, 95 and 98.
  The NT Service module is still included, and
  runs on Windows NT/2000/XP systems.
- Deluxe Edition now available.
  This edition replaces the Plus Edition,
  and can be run on any 32-bit Windows OS.
- Added option to start tasks when files are
  created, changed, or deleted, when Schedule
  Wizard is started, when specific windows are
  created, or when Windows shuts down or
  enters a specific power mode.  (Automation
  Edition only).
- Enhanced Send E-Mail script action.
- Enhanced ZIP/UNZIP script actions.
- Enhanced E-mail Message List display.
- Added LOOP capability to scripting.
- Added IF FILE EXISTS script action.
- Fixed logic that was one day off when
  calculating 1st, 2nd, 3rd, and 4th
  day of month. (Build 431)
- Enhanced error reporting in log for
  cases where program doesn't start
  (Build 438)
- Documentation updated.


Version 2.6

- Service module shows which user account it is
  running under in the log.
- Fixed:  NT Service edition sends attachements
  in scheduled e-mail.


Version 2.53

- Enhanced master "all detail" reports to
  include new fields, optional query, and neater
  (more concise) format.
- Fixed:  Selecting "download web page" would
  result in an e-mail script action.


Version 2.52

- Fixed:  Script actions not saved on history
  (NT Service Edition only).


Version 2.51

- Fixed:  Script action to Delete Files does not
  change to Copy Files on edit.
- Restored missing section to help file regarding
  system command script actions.


Version 2.5

- Moved script action editor to task update window.
- Script action selection box moved to separate
  window to allow more actions, and more accelerator
  keys (eg. Alt+S for Send Keys).
- Reformatted Clipboard Manager main window.
- Added message field to query.
- Holidays may be imported/exported.
- Fixed:  Alarm now skipped if task is skipped.
- Fixed:  E-mail wizard would not send using MAPI.


Version 2.41

- NT Service Edition:  Fixed problem where log file
  may be created in same folder as program being
  executed.


Version 2.4

- Enhancement:  Added E-Mail Wizard.
- Enhancement:  Added option to execute as user
  when starting a program in scripting. The "ExecuteAs"
  utility is now a seamless part of the Start Program
  script action. (NT Service Edition only).
- Enhancement:  Added script actions to reboot, logoff,
  shutdown system and reboot/logon as a different user.
- Enhancement:  Added script action to start/stop service.
- Enhancement:  Added optional news server authentication.
- Enhancement:  Added option to override e-mail and news
  server settings on each individual message.
- Enhancement:  HTML e-mail is now supported.
- Enhancement:  Added option to send mass mail using
  an external comma-delimited file containing a list
  of recipient names and addresses ("mail merge").
- Change:  Removed the extra images from the wizards in
  order to speed up the display of the windows on systems
  where the display only allows 256 colors.
- Change:  The display of the DDE script action is
  optional.  Re-organization of the script update
  options will occur when the LOOP action is added in
  a future revision.


Version 2.37

- Enhancement:  Added option to context menu
  (right-click menu) on Scheduled Tasks list to
  reschedule all items.  This allows you to delay all
  tasks until after a given date and time.
- Enhancement:  Active script viewer (File->Tools->
  View Current Script) now shows standard script editing
  window (in view mode); provides more detail.
- Fixed: Hot key script would be removed if the cancel
  button was pressed while editing an existing hot key.
- Fixed: New script action could not be added in the
  Script Wizard after an import.
- Fixed: External "Snooze" command would not alert
  Schedule Wizard that the schedule had been updated.
- Fixed: Some windows did not display correctly when
  large fonts were used by the operating system.
- Enhancement:  SW Chain now shows the number of script
  items remaining in its' title bar.


Version 2.36

- Fixed: Advanced warnings would appear twice.
- Square brackets are now optional in the first "If Value"
  parameter (both "[VALUE]" and "VALUE" are valid value
  names, and are interpreted to be the same, for example).
  Square brackets remain required for the second
  parameter.


Version 2.35

- Fixed "window not open" error that occurred
  when deleting certain script items.
- Smoother resorting deleting script items.


Version 2.34

- Added option to suppress splash window at
  start up.
- Automatic refreshing of all lists when
  adding a task using a wizard now works again.
- SyncTime now saves list of time server results,
  and uses only the most responsive time servers.


Version 2.33

- Added mouse wheel support.
- Added MAPI e-mail support (send only).
- Fixed import/export of Set Value from/to INI file.
- Added option to limit size of text log file.
- Fixed timing issue when inserting one script into
  another during a task.
- Added FILES= command-line parameter to ADSBACK.EXE.


Version 2.32

- Solved problem where chaining multiple scripts
  together failed due to not importing the file
  name on the second script.
- External message once again retains font selection.


Version 2.31

- Solved problem where e-mail messages with multiple
  attachments separated by semi-colons would only
  include the last attachment in the list.
- Maximum number of clipboard entries now saved when
  set.


Version 2.3

- Solved "handle leak" problem.
- Auto-restore clipboard now restores the most recent
  clipboard contents rather than the oldest.
- Moved reports to a separate module.


Version 2.2

- Added New Contact Wizard.
- Added option to show contact information in message.
- Multiple e-mail attachments are now supported.
  E-mail file names can include wild cards, or
  specifically named separated by semi-colons.
- Added "Comment" script action.
- Added field for "Default contact method".
- Upgraded Princen E-mail library to correct
  false error messages with some mail servers.
- Added "Quick Paste" option to external
  Clipboard Manager.  Press Win-V in any
  application to select from a list of saved
  clipboard entries for immediate pasting.
- Enhanced Contact reports.


Version 2.12

- Added option to store user defined information
  for each contact.
- Fixed bug where scripting was lost when the
  "Special Event Wizard" was used.
- Fixed bug where certain cache settings
  under NT caused the NT Service Edition to be
  unable to detail schedule changes.


Version 2.11

- Added [CLIPBOARD] value to scripting to allow
  setting and getting the contents of the clipboard
  (text only).
- Added support to set values in and from
  standard Windows INI files.


Version 2.1

- Logic that affects network traffic and disk
  access levels is more efficient.
- Released Schedule Wizard Group Edition.
- Added ExecuteAs utility (NT Service Edition).
- NT Service Edition now shows information on
  current/next task on status bar instead of
  "Inactive".
- NT Service Edition shows remote system's
  date and time when you are maintaining
  the schedule over a LAN/WAN/VPN.


Version 2.05

- Added mouse positioning support.  This makes the
  [MouseLeft] and [MouseRight] key presses more
  usable.  Examples:
  [MOUSE X=100 Y=250] - Position mouse at 100/200
  [MOUSE *Notepad] - Position mouse at upper left
     corner of *Notepad window.
  [MOUSE X+=100 Y+=0] - Move mouse 100 pixels to
     the right.
  [MOUSE X+=0 Y+=-100] - Move mouse up 100 pixels
     from its current location.
  [MOUSERIGHT] - Click right mouse button.
- Fixed key translation so that "BSKey" is
  equivalent to "BS".
- Macro recorder will now export mouse movements
  and clicks.  Added "Export As Text" option.
  (Plus and NT Service Editions only).


Version 2.04

- Added alternate presentation style for schedule.
  (File->Setup->Options, General tab).
- Revised window resizing and position-saving logic
  for smoother performance.
- Close Program script action now has the option
  of locating the program by window title.


Version 2.03

- Added "end" date and time option for tasks.
- "OK" may be pressed at any step during a task
  wizard; this removes the requirement to
  view all sections before saving.


Version 2.02

- Fixed:  Setup would not ask for access password when
  security enabled.
- Fixed:  Advanced warning would not translate values.
- Fixed:  Unnecessary "Internal Error" would appear
  during copy of an existing task.


Version 2.01

- Added option to reschedule *all* tasks to the first
  normal occurance after a date and time (great for when
  you go on vacation for a week and want most or all tasks
  moved, or when you temporarily reset your system date
  for Y2K testing!).  (File->Setup->Housekeeping)
- Added support for command-line parameters to
  ADSBACK.EXE (BACKUP=filename.zip and RESTORE=
  filename.zip) so that Schedule Wizard database
  backups can be easily scheduled.
- Added timeout to Window Title logic so that other hung
  applications would not hang Schedule Wizard.
- Reverted to previous version of e-mail library.


Version 2.0

- Added Hot Keys feature:  Type text or start any
  standard Schedule Wizard task at the press of a key!
- Added Custom Report wizard:  Create your own reports!
- Enhanced external Clipboard Manager:  Option to
  automatically type information to another
  application. (Plus Edition only)
- Optional password-protection for task maintenance.

* Free upgrade to version 2.0 for users who purchase
  Schedule Wizard v1.94 on or after July 1, 1999.


Version 1.94

- Added "Birthday/Anniversary" Wizard.
- Fixed GPF where 2 messages (internal, stay on top)
  needed to presented simultaneously.


Version 1.93

- Fixed case where "N/A" overwrote task command when
  entered.
- Added "Birthday" Wizard.


Version 1.92

- Expanded support for text to locate within a window
  (script actions - If Window Exists, Set Focus, Wait for
  Window)
- Press ESC on calendar restores last date.
- When browsing for alarm WAV files, the initial path is
  the last path used.
- Help file no longer requires INETWH32.DLL.
- Additional functions on right-click menus:  Output to
  printer, HTML, or ASCII; Best fit or reset list box
  columns.
- Added Last Run Date and Time to standard List of
  Scheduled Tasks.
- Added option to launch 16-bit applications as a separate
  process (NT only).
- Compiled in Clarion 5b Gold.


Version 1.91

- Fixed "If Window Exists" logic - was reversed in some
  situations.
- FTP operations now translate [DATE] token, even if
  "Translate "values" when starting a program" is
  unchecked in options.
- Plus and NT Service Editions now include external
  Clipboard Manager for faster access to clipboard records
  from the Windows system tray.
- NT Service Edition - Fixed COPY() script action so that
  "Window Not Open" error no longer occurs.


Version 1.9

- File Actions:  Added Recycle, Rename.  Now using shell
  to perform file operations, so wildcards can be used.
- Re-organized menu; moved task entry wizards to an
  "Actions" menu.
- Re-organized script entry window.
- Fixed problem where a script would briefly lose
  focus on the target window when key press instructions
  were divided into multiple script actions.
- Script: Edit as text now shows blank parameters as "".
  This fixes the problem where parameters did not
  translate correct when saving.
- Added FTP upload/download support with wildcards.
- Fixed "Start Script" regression.
- Added option to skip task if any script is active.
- Changed Schedule Type column in list of Scheduled Tasks
  to give more detail.
- Updated help file.
- Improved backup and restore utilities
  (included in registered version only).



Version 1.88

- Win-W (the "Windows" key and the "W" key pressed
  simultaneously) restores from the tray.
- Tray behaviour now Windows standard (stays in tray
  at all times).
- Added option to ignore hidden windows during
  comparisons.
- Increased size of message and keystroke fields in
  scripting.
- Advanced settings for IF EXIST/WAIT FOR/FOCUS ON
  window title selection:  If the requested window
  currently exists, a drop down list containing its
  visible text elements is now available.
- Added right-click menu to external display message
  program that allows variable snooze times and
  custom fonts for the message.
- Fixed bug:  "Accept loop required - GPF?" message
  no longer given after closing internal Display Message
  window.
- [=] token now accepts any valid "Clarion" statement.


Version 1.87

- Added "Edit as Text" option to Scripting
  window (right-click menu).
- Task times now rounded to the nearest minute.


Version 1.86a

- Double-left-click restores from tray rather
  than single-left-click.
- Fixed:  Email messages where recipient was
  not in the contact database did not display
  recipient name information when editing.


Version 1.86

- Fixed:  User interface would hang when minimized
  on some NT systems.
- [MM-DD-YY] now returns 01-01-99 rather than 1-01-99.


Version 1.85

- Added Bug Reporting option, and other support
  tools.
- Replaced "Search" tab with Query Wizard on
  View Schedule window.
- Script action to display message supports
  customizable button text, and stores the
  response in a RESPONSE value.
- Simple calculations can be performed in
  scripting using the [=] token
  (example:  [=DATE-1]).
- Added the [MM-DD-YY], [YY-MM-DD], and
  [DD-MM-YY] tokens (scripting).
- Added option to export schedule to HTML/ASCII
- Fixed problem where a long wait in a script
  caused remaining script items to wait twice the
  desired amount of time.
- Fixed problem where scrollbars would not scroll
  under Windows NT.
- Compiled under Clarion 5.  **Known problems:
  - Using an Intellimouse wheel to scroll beyond
    the start or end of any list box will hang
    the application.  Please use the keyboard,
    scrollbars or VCR buttons to scroll through
    lists.
- Miscellaneous minor fixes.


Version 1.84

- Fixed occasional hang during copy/delete task.


Version 1.83

- Fixed display problem on Add Message Wizard.
- Added external message display program.


Version 1.82

- Restored logic to flash tray icon when script
  processed.


Version 1.81

- Better defaults in holiday database.
- Changed palette on image in Browse Scripting window
  to avoid "flashing" effect.


Version 1.8

- Recompiled in Clarion 4.  This eliminates the conflict
  with Intellimouse drivers.
- Added script templates and script wizard for faster
  script creation.
- Expanded toolbar.
- Refined keypress sending logic; now supports VBA-like
  shorthand for CTRL (^), SHIFT (+), and ALT (%).
- Added "Saved Entries" tab to Browse Clipboard Saver
  window.
- Clipboard (text contents) are restored to last saved
  entry when Schedule Wizard starts.
- Added option to send email to contact groups, and to
  post to newsgroups.
- Expanded information on Contact Category setup window.
- Added option to customize format of schedule, contact
  category, and schedule category list boxes.
- Included utility programs to synchronize Schedule Wizard
  databases, and download URLs.


Version 1.7f

- Added variable time option to Snooze feature.
- Fixed bug where Snooze would not copy an alarm to the
  new task.
- Added option to limit number times alarm repeats.

Version 1.7e

- Expanded information on Schedule Category setup window.
- Added "Minimize to system tray instead of exiting" option
- Added "View current script" option to assist in debugging
  scripts.
- Added option to include future task occurances on Brief
  Schedule and Checklist-style reports.
- SW Chain can now use long file names when placed in
  the standard Windows "Start Up" folder.
- Browse for alarm file in Add Program Wizard activated.


Version 1.7d

- Added "Checklist-style" report (landscape mode).


Version 1.7c

- Fixed calendar lookup - wasn't displaying all valid dates
  when month changed.
- Added "customize format" feature to Contacts browse
  (available on the right-click pop-up menu).
- Added [EXITCODE] internal variable (scripting).
- Added status icon to SW Chain (Plus Edition).
- "Run Now" now executes scripts when the task scheduler
  is inactive.


Version 1.7b

- Added support for "Twice Monthly" events.
- Fixed bug in "First Day of Month" logic.
- Added support for SWCHAIN.EXE, which allows you to close
  Schedule Wizard, run another program and script, then
  restart Schedule Wizard. (Plus Edition)


Version 1.7a

- Detection of text within windows is no longer
  case-sensitive (see scripting).


Version 1.7

- Major scripting enhancements:
  - Send Email
  - Use variables (values)
  - File commands such as copy, move,
    delete, get file date and time.
  - Directory commands such as create
    and remove directories.
  - Run other scripts from within
    a currently executing script.
- Added email message library.
- Minor fixes.


Version 1.6e

- Lengthened repeating alarm file field to 255 characters.
- Fixed installation script; had been corrupted due to
  cross-linked files!


Version 1.6d

- Removed duplicate error message.
- NT Service no longer repeats check of history more than
  once per day.
- Corrected log file name; now SW98EVNT.LOG.


Version 1.6c

- Added option to display "enabled" tasks only (right-click
  menu on View Schedule window to toggle).
- Added option to "Start Program" advanced options:
  Start Type (open, print, view, explore, play, etc).
- Fixed problem with "save scripts on completed tasks". :(


Version 1.6b

- Added selection criteria option for Brief
  Schedule Reports.
- Fixed problem with exceptions that span midnight.
- Added option to save scripts on completed tasks.


Version 1.6a

- Fixed occasional "wait for time" bug.


Version 1.6

- Added "Run" URL/EXE feature to clipboard saver.
- Added Synchronize feature.
- Reduced size of date on status bar; increased size of
  status message on status bar.
- No longer waits for end of program when a wait wasn't
  requested.
- Conflict with Intellimouse drivers in Windows NT solved.
- Updated installation packages.
- Updated help file.


Version 1.5a

- View Schedule now refreshes after "Quick Start" used.
- Added support for Message Manager and Macro Recorder
  Add-On modules.


Version 1.5

- Expanded command, program, alarm file and path fields.
- Added "Save" support to the Clipboard Saver to allow
  certain clippings to be saved even if they are the
  oldest by capture date.
- Added "Resolution" tab to To Do list.
- Changed order of To Do List by Category (now Priority
  within Category).
- Updated Search Schedule interface.
- Added "Quick Start" option to right-click menu on
  "View Schedule" window.  This allows any task (even
  disabled) to be copied to a new active task that
  will run immediately, in 5 minutes, in 10 minutes,
  in 1 hour, or some other interval related to "now".
- Added "Exceptions" option to scheduling dates and times.
  This allows repeated tasks to be skipped during certain
  times or on certain dates/days of the week.
- Added "Last Day of Month" repetition option.
- Message window can now be resized.
- Miscellaneous minor enhancements and fixes.
- Upgrade note:  If you are using the "Wait for..." time or
  window title script item, we recommend reviewing these
  items after you have installed the upgrade.  This item
  now includes an option for "And/Or".  It previously made
  a "best guess" based on the other information entered.
  Although this "best guess" logic was retained for cases
  where "And/Or" is not specified, you should select
  "And" or "Or" for the best results.


Version 1.4c

- Fixed occasional Invalid Page Fault when accessing system
  tray.
- Added tips to main toolbar.
- Fixed move up/down buttons on Browse Scripting window
  (no swap error when pressed after an Insert).


Version 1.4b

- Added BEEP option to use the system speaker for the alarm.
- Fixed disappearing contact category on Update Contact window.


Version 1.4a

- Added advanced options to Start Program script command,
  including "Wait for Program End".
- Added "Display Message" script command.
- Added option to repeat alarm while waiting for message to
  be acknowledged.
- Added option to set To Do List report titles at runtime.
- Added option of log events to a text file.


Version 1.4

- Expanded To Do information to includes notes and categories.
- Added simple Contact manager.
- Added Clipboard Saver with option to monitor clipboard.
- Added Import/Export options for To Do and Contact databases.
- Fixed right-mouse-button popups on Browse Schedule and
  Browse To Do windows (now selects record before popping up).
- WAV file name is defaulted to last used for alarms.
- Added option to have messages appear over all other active
  windows and applications.
- Window positions now saved in an INI file (POSITION.INI)
  located in the directory where Schedule Wizard is
  started.
- Scripting now uses the "global delay" setting between script
  items rather than one second.  There is no delay before an
  "...End If" command.
- When a "Wait n seconds" scripting command follows a "Wait for
  Window" command, the number of seconds that have passed is now
  correctly calculated.


Version 1.3i

- Recompiled under Clarion for Windows release 2003.
  This fixes the sporadic and cryptic "CTLMAIN" error.
- Enhanced report previews.


Version 1.3g

- Fixed "file not open" bug on Move Up/Down buttons
  (Browse Script window).
- Changed "Add" button on Browse Script window to
  add new items at the currently highlighted position.
- Added "Print" button to Browse Script.

Version 1.3e

- Added "Snooze" button to message display.
- Message now defaults to description given to
  task.
- Fixed the "occasionally disappearing icons"
  problem on the To Do List.
- Registered users may request to receive a
  special edition that can be started as an NT 4.0
  Service.  This edition in currently in beta.
  Email SALES@AUTHORD.COM for more information.


Version 1.3d

- Added import, export and clear all to script editor.
- Added access to scripting via right mouse pop-up on
  "View Schedule" window.
- Fixed problem where "...End If" script item was
  ignored.


Version 1.3c

- Now refreshes "View Schedule" window when tasks are
  run.
- Added option to control speed of scripted keypresses.
- Added options to right-click on tray-icon menu.
- Added [Pause] to the list of valid keys in scripting.
- Animated tray icon to indicate when scripting (yellow)
  and scripted keypresses (red flashing) are operating.
- Fixed problem with extra spaces being sent at the end
  of scripted keypresses.


Version 1.3b

- Added option to stay minimized when running programs.


Version 1.3a

- 32-bit version now works under Windows NT 4.0.


Version 1.3

- Displayed messages now also include the "description" or title
  of the task.
- Added support for Windows 95 file associations (for example,
  starting KEYCODES.TXT will call NOTEPAD.EXE, or "This is my
  shortcut.URL" may call Internet Explorer or Netscape).
  This also fixes a problem calling Norton Utilities.
- Add new script types:  Start Program, If Window..., If Time
  Elapsed..., and ...End If.
- Added "Copy", "Move to End", and "Move to Start" buttons to
  scripting.
- Copying a task will now copy the associated script items.
- Fixed timing problem where two scripts were run simultaneously.
- Added option to "Skip task if missed (+/- 10 minutes).
- Added option - "Do not add to history when completed"
- Added "one category" report.
- Changed name to Schedule Wizard '98.  If you are upgrading from
  a previous version, you may delete SW96.* after installing this
  version.
- Updated help file.


Version 1.2d

- Made "View Schedule" and "Scripting" windows
  resizable.
- Scripting:  slowed the sending of keypresses
  to other applications - many couldn't handle
  larger strings.


Version 1.2c

- Simplified scripting keypresses by adding
  [Enter], [Tab], [Esc], [F1]...[F12] to
  list of valid keys in scripting.  [EnterKey],
  [TabKey], [EscKey], [F1Key]...[F12Key] can
  still be used.


Version 1.2b

- Fixed problem where scripting commands were
  occasionally ignored.


Version 1.2a

- Added options to import and export schedules to
  comma-delimited text files.
- Added "Copy" button to View Schedule.
- Added spin control to date fields for easier
  date changes.


Version 1.2

- Added "Scripting" (32-bit version).
- Added option to minimize to tray (32-bit version).
- Added option to removed expired uncompleted tasks.
- Fixed problem with "Remove Completed Tasks"
  function not removing under some circumstances.
- Fixed problem with "last day of week of month"
  being one week early when falling on the last
  day of the month.
- Added options to clear to do list, all completed
  or disabled tasks, and to reset "saved window
  positions and settings".


Version 1.1b

- Added "Toggle Done Status" button to To Do List
  and related right-mouse-button pop-up menu.


Version 1.1a

- Corrected installation program to use "StartUp"
  group rather than "Start Menu".


Version 1.1

- Added graphics for a more pleasing user interface
- Added toolbar for faster access to commonly used
  features
- Added "brief" schedule report
- Expanded help file


Please note for versions 4.24 and above:
This product uses J-Zip from Strategy Online, 
a commercial product that in turn uses 7-Zip 
(7-zip.org), which is licensed under the GNU LGPL.